<button *ngIf="!contextMode" (click)="loadActionList();" mat-stroked-button [matMenuTriggerFor]="menu">Actions <mat-icon
        matSuffix class="fa fa-caret-down"></mat-icon>
</button>
<span *ngIf="contextMode" [matMenuTriggerFor]="menu" #menu2 style="position: fixed;"
    [style.left]="contextMenuPosition.x" [style.top]="contextMenuPosition.y"></span>

<mat-menu #menu="matMenu" [class]="'actionListMenu'">
    <div *ngIf="contextMode && this.selectedRes.length == 1"
        style="text-align: center;font-size: 10px;color: white;background: #135F7F;padding: 5px;font-weight: bold;">
        {{this.contextMenuTitle}}
    </div>
    <button *ngFor="let action of actionsList" [disabled]="action.component == '' || this.selectedRes.length == 0"
        mat-menu-item (click)="launchEvent(action);">
        <span>{{action.label}}</span>
    </button>
    <mat-divider></mat-divider>
    <button mat-menu-item class="followAction" (click)="unFollow()" [disabled]="selectedRes.length === 0">
        <mat-icon class="far fa-star fa-2x"></mat-icon>
        <span>{{lang.untrackThisMail}}</span>
    </button>
    <mat-divider></mat-divider>
    <folder-menu [resIds]="selectedRes" [currentFolders]="folderList" (refreshList)="refreshList()" (refreshFolders)="refreshFolders()"></folder-menu>
</mat-menu>
